developing for OS-X

  • hi there,
    I'd just like to ask whether there's any Apple offical advice for which revisions of OS-X we should be expected to develop for and support? The reason I ask is that I'm coming across several parts of the API where more functionality was added for the release of 10.4 e.g. NSString. The deprecated functions that were replaced will be deleted from the header in the near future, so is it acceptable just to develop for 10.4 onwards?
    Thanks,
    Regards,
    Tom
  • Hi Tom - it depends entirely on your assessment of the target
    audience for your product.  Apple doesn't provide any information in
    particular to help developers gauge audience sizes, though the
    conventional wisdom is that Mac users who buy software tend to update
    to the latest releases pretty quickly.

    So for a general purpose consumer-oriented app, I would probably
    support only 10.4+ if starting today.

    This is probably only marginally on-topic for the list, so let's not
    elaborate too much. Good luck!

    Daniel

    On Oct 6, 2006, at 11:33 AM, Tom O'Grady wrote:

    > hi there,
    > I'd just like to ask whether there's any Apple offical advice for
    > which revisions of OS-X we should be expected to develop for and
    > support? The reason I ask is that I'm coming across several parts
    > of the API where more functionality was added for the release of
    > 10.4 e.g. NSString. The deprecated functions that were replaced
    > will be deleted from the header in the near future, so is it
    > acceptable just to develop for 10.4 onwards?
    > Thanks,
    > Regards,
    > Tom
    > _______________________________________________
    > Do not post admin requests to the list. They will be ignored.
    > Cocoa-dev mailing list      (<Cocoa-dev...>)
    > Help/Unsubscribe/Update your Subscription:
    > http://lists.apple.com/mailman/options/cocoa-dev/<jalkut...>-
    > sweater.com
    >
    > This email sent to <jalkut...>
  • Take a look at this stats collected by Omni group

    http://update.omnigroup.com/

    and decide for yourself.

    On Oct 6, 2006, at 11:33 AM, Tom O'Grady wrote:

    > hi there,
    > I'd just like to ask whether there's any Apple offical advice for
    > which revisions of OS-X we should be expected to develop for and
    > support? The reason I ask is that I'm coming across several parts
    > of the API where more functionality was added for the release of
    > 10.4 e.g. NSString. The deprecated functions that were replaced
    > will be deleted from the header in the near future, so is it
    > acceptable just to develop for 10.4 onwards?
    > Thanks,
    > Regards,
    > Tom
    > _______________________________________________
    > Do not post admin requests to the list. They will be ignored.
    > Cocoa-dev mailing list      (<Cocoa-dev...>)
    > Help/Unsubscribe/Update your Subscription:
    > http://lists.apple.com/mailman/options/cocoa-dev/<andrei...>
    >
    > This email sent to <andrei...>
  • This isn't specific to Cocoa; please take it to a more suitable forum
    such as <http://groups.yahoo.com/group/macsb/>.
previous month october 2006 next month
MTWTFSS
            1
2 3 4 5 6 7 8
9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30 31          
Go to today